Skip to content
Start here

Monitors

List Monitors
GET/accounts/{account_id}/load_balancers/monitors
Monitor Details
GET/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Create Monitor
POST/accounts/{account_id}/load_balancers/monitors
Update Monitor
PUT/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Patch Monitor
PATCH/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Delete Monitor
DELETE/accounts/{account_id}/load_balancers/monitors/{monitor_id}
ModelsExpand Collapse
Monitor = object { id, allow_insecure, consecutive_down, 16 more }
id: optional string
allow_insecure: optional boolean

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTP and HTTPS monitors.

consecutive_down: optional number

To be marked unhealthy the monitored origin must fail this healthcheck N consecutive times.

consecutive_up: optional number

To be marked healthy the monitored origin must pass this healthcheck N consecutive times.

created_on: optional string
description: optional string

Object description.

expected_body: optional string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

expected_codes: optional string

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

follow_redirects: optional boolean

Follow redirects if returned by the origin. This parameter is only valid for HTTP and HTTPS monitors.

header: optional map[array of string]

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

interval: optional number

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

method: optional string

The method to use for the health check. This defaults to 'GET' for HTTP/HTTPS based checks and 'connection_established' for TCP based health checks.

modified_on: optional string
path: optional string

The endpoint path you want to conduct a health check against. This parameter is only valid for HTTP and HTTPS monitors.

port: optional number

The port number to connect to for the health check. Required for TCP, UDP, and SMTP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

probe_zone: optional string

Assign this monitor to emulate the specified zone while probing. This parameter is only valid for HTTP and HTTPS monitors.

retries: optional number

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

timeout: optional number

The timeout (in seconds) before marking the health check as failed.

type: optional "http" or "https" or "tcp" or 3 more

The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS', 'TCP', 'ICMP-PING', 'UDP-ICMP', and 'SMTP'.

One of the following:
"http"
"https"
"tcp"
"udp_icmp"
"icmp_ping"
"smtp"
MonitorDeleteResponse = object { id }
id: optional string

MonitorsPreviews

Preview Monitor
POST/accounts/{account_id}/load_balancers/monitors/{monitor_id}/preview
ModelsExpand Collapse
PreviewCreateResponse = object { pools, preview_id }
pools: optional map[string]

Monitored pool IDs mapped to their respective names.

preview_id: optional string

MonitorsReferences

List Monitor References
GET/accounts/{account_id}/load_balancers/monitors/{monitor_id}/references
ModelsExpand Collapse
ReferenceGetResponse = object { reference_type, resource_id, resource_name, resource_type }
reference_type: optional "*" or "referral" or "referrer"
One of the following:
"*"
"referral"
"referrer"
resource_id: optional string
resource_name: optional string
resource_type: optional string